/vaults/apy
Get 7d, 30d and SEC 30d APYs for all vaults. `compositionApy` is the composition-weighted yield APY based on underlying yield-bearing assets (liquid assets and off-chain value are excluded from the APY denominator). `apy` is a legacy alias for `compositionApy`. `navApy` is the price-delta (NAV-based) APY computed from vault token price changes. `targetApy` is the APY of vault's reported yield. It is present when vault's current calculated APYs are not representative of vault yield.
Learn how to choose between NAV APY and composition APY.
Get 7d, 30d and SEC 30d APYs for all vaults. compositionApy is the composition-weighted yield APY based on underlying yield-bearing assets (liquid assets and off-chain value are excluded from the APY denominator). apy is a legacy alias for compositionApy. navApy is the price-delta (NAV-based) APY computed from vault token price changes. targetApy is the APY of vault's reported yield. It is present when vault's current calculated APYs are not representative of vault yield.
Query Parameters
DEPRECATED: Use status instead. Legacy status filter. true returns active vaults; false returns non-active vaults. Ignored when status is provided.
trueFilter vaults by CMS status. Defaults to active. Use all to include every vault regardless of CMS status.
Value in
- "active"
- "disabled"
- "coming_soon"
- "hidden"
- "all"
falseResponse Body
application/json
curl -X GET "https://example.com/vaults/apy"{ "data": [ { "vaultAddress": "string", "targetApy": 0, "apy": { "rolling7d": 0, "rolling30d": 0, "sec30d": 0 }, "compositionApy": { "rolling7d": 0, "rolling30d": 0, "sec30d": 0 }, "navApy": { "rolling7d": 0, "rolling30d": 0, "sec30d": 0 }, "breakdown": { "totalValue": 0, "liquidAssets": { "totalValue": 0, "weight": 0 }, "offChainValue": 0, "yieldAssets": [ { "slug": "string", "value": 0, "weight": 0, "apy": { "rolling7d": 0, "rolling30d": 0, "sec30d": 0 } } ] }, "errors": [ { "source": "superstate", "operation": "getPendingTransactions", "message": "superstate getPendingTransactions timed out after 10000ms", "code": "TIMEOUT", "timestamp": 1704067200 } ] } ]}/vaults GET
Get all vaults info
/vaults/apy-history GET
Get APY history for all vaults for the given date range. Only fully settled UTC days are included. Because the current UTC day is not yet settled, it is omitted even when it falls within the requested date range. `compositionApy` is the composition-weighted yield APY (liquid assets and off-chain value are excluded from the APY denominator). `apy` is a legacy alias for `compositionApy`. `navApy` is the price-delta (NAV-based) APY computed from vault token price changes.